# Contact Roles Contact Roles ## Gets all of the contact roles in the system. - [GET /contactRoles/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-roles/listcontactroles.md): This method will scan all contact roles and and return them to the caller. ## Creates a new contact role record that does not already exist. - [POST /contactRoles/{tenantId}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-roles/createcontactrole.md): This method will auto-generate an ID and create a new contact role. If an ID is specified for the contact role, an error will be thrown. ## Execute Batch Operations - [POST /contactRoles/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-roles/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a contact role from the system by its ID. - [DELETE /contactRoles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-roles/deletecontactrole.md): This method will delete a contact role with the specified ID. ## Returns a contact role from the system by its ID. - [GET /contactRoles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-roles/getcontactrole.md): This method will look up a contact role by the specified ID and return it back. ## Partially updates a contact role with the specified ID. - [PATCH /contactRoles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-roles/patchcontactrole.md): This method will patch an existing contact role with the specified ID, using the HTTP PATCH specification. ## Updates a contact role with the specified ID. - [PUT /contactRoles/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/rolodex/rolodex-v1/contact-roles/updatecontactrole.md): This method will update an existing contact role with the specified ID.